[PC-BSD Commits] r4824 - in pcbsd/trunk/pc-sysinstall: . backend
svn at pcbsd.org
svn at pcbsd.org
Fri Oct 30 07:45:27 PST 2009
Author: kris
Date: 2009-10-30 08:45:27 -0700 (Fri, 30 Oct 2009)
New Revision: 4824
Modified:
pcbsd/trunk/pc-sysinstall/backend/functions-disk.sh
pcbsd/trunk/pc-sysinstall/pcinstall.cfg
Log:
Small update to backend, make sure we detach any geli providers on a disk before doing an install. Helpful
when doing an install after a failed one was performed, or the user was messing around with geli beforehand
Modified: pcbsd/trunk/pc-sysinstall/backend/functions-disk.sh
===================================================================
--- pcbsd/trunk/pc-sysinstall/backend/functions-disk.sh 2009-10-30 14:39:11 UTC (rev 4823)
+++ pcbsd/trunk/pc-sysinstall/backend/functions-disk.sh 2009-10-30 15:45:27 UTC (rev 4824)
@@ -21,6 +21,24 @@
done
};
+# Make sure we don't have any geli providers active on this disk
+stop_all_geli()
+{
+ DISK="${1}"
+ cd /dev
+
+ for i in `ls ${DISK}*`
+ do
+ echo $i | grep '.eli' >/dev/null 2>/dev/null
+ if [ "$?" = "0" ]
+ then
+ echo_log "Detaching GELI on ${i}"
+ rc_halt "geli detach ${i}"
+ fi
+ done
+
+};
+
# Function which reads in the disk slice config, and performs it
setup_disk_slice()
{
@@ -55,6 +73,9 @@
# Make sure we stop any gmirrors on this disk
stop_all_gmirror ${DISK}
+ # Make sure we stop any geli stuff on this disk
+ stop_all_geli ${DISK}
+
fi
# Lets look if this device will be mirrored on another disk
Modified: pcbsd/trunk/pc-sysinstall/pcinstall.cfg
===================================================================
--- pcbsd/trunk/pc-sysinstall/pcinstall.cfg 2009-10-30 14:39:11 UTC (rev 4823)
+++ pcbsd/trunk/pc-sysinstall/pcinstall.cfg 2009-10-30 15:45:27 UTC (rev 4824)
@@ -16,6 +16,7 @@
# UFS.eli, UFS+S.eli, UFS+J.eli, ZFS.eli, SWAP.eli
disk0-part=UFS+S 500 /
disk0-part=SWAP.eli 2000 none
+disk0-part=UFS+J.eli 5000 /data
disk0-part=ZFS.eli 0 /usr
# Size 0 means use the rest of the slice size
# Do it now!
More information about the Commits
mailing list